using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace vage
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Unesite broj vagi: ");
            int N = int.Parse(Console.ReadLine());
            int[] A = new int[N]; 
            Console.WriteLine();

            Console.WriteLine("Unesite broj pitanja: ");
            int M = int.Parse(Console.ReadLine());
            Console.WriteLine();

            Console.WriteLine("Unesite gornje i donje granice: ");
            Console.WriteLine();
            for (int i = 0; i <= N - 1; i++)
            {
                string NM = Console.ReadLine();
                int[,] dg = new int[int.Parse(NM.Split(' ')[0]), 2];
                int[,] gg = new int[int.Parse(NM.Split(' ')[1]), 3];
                Console.WriteLine();
            }
            Console.WriteLine("Unesite pitanja: ");
            for (int i = 0; i <= M - 1; i++)
            {
                string NM = Console.ReadLine();
                int[,] opseg1 = new int[int.Parse(NM.Split(' ')[0]), 2];
                int[,] opseg2 = new int[int.Parse(NM.Split(' ')[1]), 3];
                int[,] tezina = new int[int.Parse(NM.Split(' ')[2]), 4];
            }
            Console.WriteLine();
            Console.ReadLine();
        }
    }
}